using System;
using System.Collections.Generic;
using Avalonia.Controls;
using FoodLogProject.Views;
using ReactiveUI;

namespace FoodLogProject.ViewModels
{
	public class Page3ViewModel : ReactiveObject
	{
        Customer? currentUser;
        GaruaevContext myConnection;

        public Page3ViewModel(GaruaevContext myConnection, UserControl UC)
        {
            CurrentUser = new Customer();
            this.myConnection = myConnection;
        }
        public Customer? CurrentUser { get => currentUser; set => currentUser = value; }
        public string Birthday { get => currentUser.CustomerBirthdate.ToString(); set => currentUser.CustomerBirthdate = Convert.ToDateTime(value); }

        public void CreateUser()
        {
            myConnection.Add(currentUser);
            myConnection.SaveChanges();

        }
    }
}